config() {
  NEW="$1"
  OLD="$(dirname $NEW)/$(basename $NEW .new)"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
    # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}

config etc/sane.d/epkowa.conf.new

if [ -x /usr/bin/update-desktop-database ]; then
  /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
fi

if [ -x /usr/bin/update-mime-database ]; then
  /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
fi

if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
  if [ -x /usr/bin/gtk-update-icon-cache ]; then
    /usr/bin/gtk-update-icon-cache -f usr/share/icons/hicolor >/dev/null 2>&1
  fi
fi

( cd usr/lib/gimp/2.0/plug-ins ; rm -rf iscan )
( cd usr/lib/gimp/2.0/plug-ins ; ln -sf ../../../../bin/iscan iscan )
( cd usr/lib ; rm -rf libesmod.so.2 )
( cd usr/lib ; ln -sf libesmod.so.2.0.0 libesmod.so.2 )
( cd usr/lib/sane ; rm -rf libsane-epkowa.so )
( cd usr/lib/sane ; ln -sf libsane-epkowa.so.1.0.15 libsane-epkowa.so )
( cd usr/lib/sane ; rm -rf libsane-epkowa.so.1 )
( cd usr/lib/sane ; ln -sf libsane-epkowa.so.1.0.15 libsane-epkowa.so.1 )
